org.bouncycastle.cms.test

## Class CompressedDataStreamTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.CompressedDataStreamTest

    public class CompressedDataStreamTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`CompressedDataStreamTest(java.lang.String name)`

### Method Summary

Methods
`static Test` `suite()`
`void` `test1000()`
`void` `testEach()`
`void` `testWorkingData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressedDataStreamTest

    public CompressedDataStreamTest(java.lang.String name)

### Method Detail

#### testWorkingData

    public void testWorkingData()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testEach

    public void testEach()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test1000

    public void test1000()
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### suite

    public static Test suite()